Package csb :: Package statistics :: Package samplers :: Package mc :: Module propagators :: Class AbstractNCMCPropagator

[frames] | no frames]

# Class AbstractNCMCPropagator

source code

            object --+
                     |
    AbstractPropagator --+
                         |
      AbstractMCPropagator --+
                             |
                            AbstractNCMCPropagator

Draws a number of samples from a PDF using the AbstractNCMCSampler.

Nested Classes
Inherited from `AbstractPropagator`: `__metaclass__`

Instance Methods

__init__(self, protocol, reverse_protocol) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `AbstractMCPropagator`: `generate` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
Inherited from `AbstractMCPropagator`: `__abstractmethods__`

Properties
| protocol
| reverse_protocol
Inherited from `AbstractMCPropagator`: `acceptance_rate` Inherited from `object`: `__class__`

Method Details

### __init__(self, protocol, reverse_protocol)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `protocol` (Protocol) - The nonequilibrium protocol specifying a sequence of perturbation and propagation steps
  - `reverse_protocol` (Protocol) - The protocol with the order of perturbation and propagation reversed in each step.
Overrides: object.__init__
  (inherited documentation)

Property Details

### protocol

Get Method:
  unreachable.protocol(self)
Set Method:
  unreachable.protocol(self, value)

### reverse_protocol

Get Method:
  unreachable.reverse_protocol(self)
Set Method:
  unreachable.reverse_protocol(self, value)